/*external css*/

/*type selector has higher dominance than universal selector*/
p {
	color: blue;
	font-size: 50px;
}

/*id selector*/

#thirdPara {
	color: yellow;*/
}

/*class selector*/
.sample {
	color: black;
}

.list {
	color: brown;
	background-color: yellow;
	font-size: 50px;
}

/*attribute selector*/
input[type="text"] {
	background-color: orange;
}

/*universal selector - targets all the elements
usually puts the default font*/
* {
	: pink;
	background-color: lavender;
}

/*CSS specifity 
*highest priority- id selector
*class selector
*attribute selector
*type selector
*universal selector 

the following order prioritizes styles form highes to lowest according to location
inline styling - highest
internal styling - second
external styling - third*/

/*
inline styling - highest priority, added within the html element
internal styling - 
external styling - css

it is a good practice to separate html code and styling code
*/